Disables a model, vendor, or region and updates settings that use it.

POSThttps://api.awork.com/api/v1/agents/models/settings/disable
POST https://api.awork.com/api/v1/agents/models/settings/disable

Disables a model, vendor, or region for the workspace and updates settings that use it. Use the model settings in the awork app to review affected configurations and eligible replacements before disabling. Specify the required replacement models in the request. Returns no content when the changes are saved.

Authentication

AuthorizationBearer

Send your token in the Authorization: Bearer <token> header. See Authentication for API keys and OAuth.

Request body Required

The disable and migration command.

application/json

resourceTypestringRequired
minLength: 1

The resource type: model, vendor, or region.

resourceKeystringRequired
minLength: 1

The resource key.

replacementsarray of object or nullOptional

One replacement mapping for every affected source model.

Show 2 properties
sourceModelKeystring or nullOptional

The affected source model key.

replacementModelKeystring or nullOptional

The replacement model key, or null for a confirmed image capability removal.

presetReplacementsarray of object or nullOptional

One explicit replacement mapping for every affected preset.

Show 2 properties
presetKeystring or nullOptional

The affected preset key.

replacementModelKeystring or nullOptional

The replacement model key.

confirmNoImageReplacementbooleanOptional

Whether disabling affected image models without a replacement was confirmed.

Responses

204 No Content
400 Bad Request

application/json

codestringRequired
minLength: 1

The error code.

descriptionstringRequired
minLength: 1

The description of the error.

linkstringRequired
minLength: 1

The link to the API documentation page.

detailsarray of string or nullOptional

A list of details describing the error.

validationErrorsarray of object or nullOptional

If a validation error occurred, this contains the validation errors for each property.

Show 2 properties
propertystring or nullOptional

The name of the property that failed validation.

messagestring or nullOptional

The reason why this property failed validation.

traceIdstring or nullOptional

The request trace id for tracking the request.

401 Unauthorized

application/json

codestringRequired
minLength: 1

The error code.

descriptionstringRequired
minLength: 1

The description of the error.

linkstringRequired
minLength: 1

The link to the API documentation page.

detailsarray of string or nullOptional

A list of details describing the error.

validationErrorsarray of object or nullOptional

If a validation error occurred, this contains the validation errors for each property.

Show 2 properties
propertystring or nullOptional

The name of the property that failed validation.

messagestring or nullOptional

The reason why this property failed validation.

traceIdstring or nullOptional

The request trace id for tracking the request.

Search documentation